<!-- THIS PART OF THIS FILE IS AUTOGENERATED. DO NOT MODIFY IT. See scripts/generate-docs.sh -->
# vis-heap-chunks

```text
usage: vis-heap-chunks [-h] [--beyond_top] [--no_truncate] [--all_chunks]
                       [count] [addr]

```

Visualize chunks on a heap.

Default to the current arena's active heap.

**Alias:** vis
### Positional arguments

|Positional Argument|Help|
| :--- | :--- |
|count|Number of chunks to visualize. If the value is big enough and addr isn't provided, this is interpreted as addr instead. (default: 10)|
|addr|Address of the first chunk.|

### Optional arguments

|Short|Long|Help|
| :--- | :--- | :--- |
|-h|--help|show this help message and exit|
|-b|--beyond_top|Attempt to keep printing beyond the top chunk.|
|-n|--no_truncate|Display all the chunk contents (Ignore the `max-visualize-chunk-size` configuration).|
|-a|--all_chunks| Display all chunks (Ignore the default-visualize-chunk-number configuration).|

<!-- END OF AUTOGENERATED PART. Do not modify this line or the line below, they mark the end of the auto-generated part of the file. If you want to extend the documentation in a way which cannot easily be done by adding to the command help description, write below the following line. -->
<!-- ------------\>8---- ----\>8---- ----\>8------------ -->
